Loading...
Searching...
No Matches
BALL::Result Class Reference

`#include <BALL/DOCKING/COMMON/result.h>`

## Classes

class | ResultData

## Public Member Functions

| Result ()
| Result (const Result::Method &_method)
| Result (const Result &res)
| Result (const Result &res, const HashSet< String > &IDs)
virtual | ~Result ()
void | clear ()
void | operator= (const Result &res)
void | operator+= (const Result &res)
Result::Method | getMethod ()
String | getMethodString ()
void | setMethod (Result::Method _method)
const vector< String > * | getInputConformations ()
Conformation * | getInputConformer (Ligand *lig)
Conformation * | getFirstOutputConformation (Ligand *lig)
vector< Result::ResultData > | getOutputConformations (Ligand *lig)
const HashSet< String > * | getInputIds ()
HashSet< String > | getOutputIds ()
ResultData | getOutputData (String id)
bool | hasOutputData (String id)
void | add (Conformation *lig_conf_in, ResultData &rd)
void | add (Conformation *lig_conf_in, Conformation *lig_conf_out, int scoringmethod, double energy, Conformation *rec_conf)
void | add (const String &lig_conf_in, const String &lig_conf_out, int scoringmethod, double energy, const String &rec_conf)
void | add (String lig_conf_id_in, Result::ResultData &rd)
const vector< Result::ResultData > * | get (String inpose_id)
void | erase (const FlexibleMolecule *flexmol)
void | erase (const String &ID)
void | sort (const list< String > &input_order, list< String > &output_order)
void | setTimestamp (const String &timestamp)
const String & | getTimestamp ()
void | setDescription (const String &text)
const String & | getDescription ()
void | setToolInfo (const String &toolinfo)
const String & | getToolInfo ()
const HashMap< String, vector< ResultData > > * | getData ()

## Static Public Member Functions

static Result::Method | getMethod (int i)
static Result * | makeLigandImportResult ()
static Result * | makeReceptorImportResult ()
static Result * | makeDockingResult ()
static Result * | makeRescoringResult ()
static String | toString (const ResultData &rd)

## Protected Attributes

String | timestamp_
String | toolinfo_
Result::Method | method
HashMap< String, vector< ResultData > > | result_data_
HashMap< String, ResultData > | result_output_data_
vector< String > | input_conformations_
HashSet< String > | input_conformations_map_
String | description_

## Detailed Description

Result class. This class represents a result that occur within virtual screening workflows, like docking results or rescoring results.

Definition at line 21 of file result.h.

## Constructor & Destructor Documentation

## Result() [1/4]

BALL::Result::Result | ( |  | ) |

## Result() [2/4]

BALL::Result::Result | ( | const Result::Method & | _method | ) |

## Result() [3/4]

BALL::Result::Result | ( | const Result & | res | ) |

Copy constructor

## Result() [4/4]

BALL::Result::Result | ( | const Result & | res,
|  | const HashSet< String > & | IDs )

Copy constructor that copies only those entries whose IDs can be found in the given HashSet.

## ~Result()

virtual BALL::Result::~Result | ( |  | ) |

virtual

## Member Function Documentation

## add() [1/4]

void BALL::Result::add | ( | Conformation * | lig_conf_in,
|  | Conformation * | lig_conf_out,
|  | int | scoringmethod,
|  | double | energy,
|  | Conformation * | rec_conf )

Add a result entry for a Ligand conformation.

Parameters

  pointer | to Ligand input conformation
  pointer | to Ligand output conformation
  scoring | method
  energy |
  receptor | conformation

## add() [2/4]

void BALL::Result::add | ( | Conformation * | lig_conf_in,
|  | ResultData & | rd )

Add a result entry for a Ligand conformation.

Parameters

  pointer | to Ligand input conformation
  ResultData |

## add() [3/4]

void BALL::Result::add | ( | const String & | lig_conf_in,
|  | const String & | lig_conf_out,
|  | int | scoringmethod,
|  | double | energy,
|  | const String & | rec_conf )

## add() [4/4]

void BALL::Result::add | ( | String | lig_conf_id_in,
|  | Result::ResultData & | rd )

Add a result entry for a Ligand conformation.

Parameters

  Ligand | input conformation String
  ResultData |

## clear()

void BALL::Result::clear | ( |  | ) |

Clear all ResultData from this object.
Method information and description will be retained.

## erase() [1/2]

void BALL::Result::erase | ( | const FlexibleMolecule * | flexmol | ) |

Remove the result data for all conformations of the given FlexibleMolecule from this Result object.

## erase() [2/2]

void BALL::Result::erase | ( | const String & | ID | ) |

## get()

const vector< Result::ResultData > * BALL::Result::get | ( | String | inpose_id | ) |

Get result entries for a Ligand conformation String.

Parameters

  Ligand | input conformation String

Returns
  ResultData

## getData()

const HashMap< String, vector< ResultData > > * BALL::Result::getData | ( |  | ) |

## getDescription()

const String & BALL::Result::getDescription | ( |  | ) |

## getFirstOutputConformation()

Conformation * BALL::Result::getFirstOutputConformation | ( | Ligand * | lig | ) |

Get the first output conformation of the result for a specific Ligand.

Parameters

  pointer | to Ligand

Returns
  pointer to first output Conformation

Exceptions

  BALL::Exception::GeneralException |

## getInputConformations()

const vector< String > * BALL::Result::getInputConformations | ( |  | ) |

Get the list of all input conformation UIDs.

Returns
  vector of UIDs

## getInputConformer()

Conformation * BALL::Result::getInputConformer | ( | Ligand * | lig | ) |

Get the input conformation of the result for a specific Ligand.

Parameters

  pointer | to Ligand

Returns
  pointer to input Conformation

Exceptions

  BALL::Exception::GeneralException |

## getInputIds()

const HashSet< String > * BALL::Result::getInputIds | ( |  | ) |

## getMethod() [1/2]

Result::Method BALL::Result::getMethod | ( |  | ) |

Get the Method of the Result.

Returns
  Method

## getMethod() [2/2]

Result::Method BALL::Result::getMethod | ( | int | i | ) |

static

## getMethodString()

String BALL::Result::getMethodString | ( |  | ) |

Get the Method string of the Result.

Returns
  Method string

## getOutputConformations()

vector< Result::ResultData > BALL::Result::getOutputConformations | ( | Ligand * | lig | ) |

Get the all output conformation of the result for a specific Ligand.

Parameters

  pointer | to Ligand

Returns
  vector of ResultData for each output conformation

## getOutputData()

ResultData BALL::Result::getOutputData | ( | String | id | ) |

## getOutputIds()

HashSet< String > BALL::Result::getOutputIds | ( |  | ) |

## getTimestamp()

const String & BALL::Result::getTimestamp | ( |  | ) |

## getToolInfo()

const String & BALL::Result::getToolInfo | ( |  | ) |

## hasOutputData()

bool BALL::Result::hasOutputData | ( | String | id | ) |

## makeDockingResult()

Result * BALL::Result::makeDockingResult | ( |  | ) |

static

## makeLigandImportResult()

Result * BALL::Result::makeLigandImportResult | ( |  | ) |

static

## makeReceptorImportResult()

Result * BALL::Result::makeReceptorImportResult | ( |  | ) |

static

## makeRescoringResult()

Result * BALL::Result::makeRescoringResult | ( |  | ) |

static

## operator+=()

void BALL::Result::operator+= | ( | const Result & | res | ) |

Add the content of 'res' to this Result object

## operator=()

void BALL::Result::operator= | ( | const Result & | res | ) |

Copy the content of 'res' into this Result object

## setDescription()

void BALL::Result::setDescription | ( | const String & | text | ) |

## setMethod()

void BALL::Result::setMethod | ( | Result::Method | _method | ) |

Set the Method of the Result.

Parameters

  Method |

## setTimestamp()

void BALL::Result::setTimestamp | ( | const String & | timestamp | ) |

## setToolInfo()

void BALL::Result::setToolInfo | ( | const String & | toolinfo | ) |

## sort()

void BALL::Result::sort | ( | const list< String > & | input_order,
|  | list< String > & | output_order )

## toString()

String BALL::Result::toString | ( | const ResultData & | rd | ) |

static

## Member Data Documentation

## description_

String BALL::Result::description_

protected

Optional String describing the method or approach that was use to generate this result (e.g. the name of the docking or rescoring algorithm)

Definition at line 212 of file result.h.

## input_conformations_

vector< String > BALL::Result::input_conformations_

protected

Definition at line 208 of file result.h.

## input_conformations_map_

HashSet< String > BALL::Result::input_conformations_map_

protected

Definition at line 209 of file result.h.

## method

Result::Method BALL::Result::method

protected

Definition at line 205 of file result.h.

## result_data_

HashMap<String, vector<ResultData> > BALL::Result::result_data_

protected

Definition at line 206 of file result.h.

## result_output_data_

HashMap<String, ResultData> BALL::Result::result_output_data_

protected

Definition at line 207 of file result.h.

## timestamp_

String BALL::Result::timestamp_

protected

Definition at line 203 of file result.h.

## toolinfo_

String BALL::Result::toolinfo_

protected

Definition at line 204 of file result.h.